new;
library Qreg,pgraph;
setQreg;

N = 1000;
X = rndu(N,1);
Y = sin(9*X) + (rndu(N,1) - 0.5);
tau = 0.2|0.5|0.95;
P = 50;
xstar = seqa(0,1/(P-1),P);

__output = 2;

_qreg_mtd = 1;
q1 = localQreg(Y,X,tau,xstar);
_qreg_mtd = 2;
q2 = localQreg(Y,X,tau,xstar);

graphset;
  begwind;
  makewind(9/2,6.855,0,0,1);
  makewind(9/2,6.855,0,0,1);
  makewind(9/2,6.855,9/2,0,1);
  makewind(9/2,6.855,9/2,0,1);

  _pdate = 0; _pframe = 0; _pnum = 2; 
  _paxht = 0.25; _pnumht = 0.25; _ptitlht = 0.25; _plwidth = 5;
  xlabel("\214X"); ylabel("\214Y");
  xtics(0,1,0.2,1);
  ytics(-1.5,1.5,0.5,1);
  fonts("simplex simgrma");

  setwind(1);
    title("\214Linear local regression");
    _pltype = 6|1|3; _plctrl = 0;
    _plegstr = "\202t\201 = 20%\000\202t\201 = 50%\000\202t\201 = 95%";
    _plegctl = {2 6 6 1};
    xy(xstar,q1);

    _plegctl = 0;

  setwind(2);  
    _plctrl  = -1; _pstype  = 3; _psymsiz = 0.75;
    xy(X,Y);

  setwind(3);
    title("\214Quadratic local regression");
    _pltype = 6|1|3; _plctrl = 0;
    xy(xstar,q2);

  setwind(4);  
    _plctrl  = -1; _pstype  = 3; _psymsiz = 0.5;
    xy(X,Y);

  graphprt("-c=1 -cf=qreg2.ps");

  endwind;


